Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.tonbeller.jpivot.table
Class ColumnAxisBuilderImpl

    java.lang.Object
      com.tonbeller.jpivot.table.PartBuilderSupport
          com.tonbeller.jpivot.table.AxisBuilderSupport
              com.tonbeller.jpivot.table.ColumnAxisBuilderImpl

All Implemented Interfaces:
  AxisBuilder, AxisConfig, ColumnAxisBuilder, ColumnAxisConfig, PartBuilder, SpanDirections, Available, com.tonbeller.wcf.bookmarks.Bookmarkable, java.beans.PropertyChangeListener, java.util.EventListener

    public class ColumnAxisBuilderImpl

extends AxisBuilderSupport
implements ColumnAxisBuilder

Author:
  av

Field Summary

Fields inherited from class com.tonbeller.jpivot.table.AxisBuilderSupport
`axisHeaderBuilder, headerSpan, hierarchyHeader, memberIndent, memberSpan, propertySpanBuilder, showParentMembers, spanBuilder, spanCalc`

Fields inherited from class com.tonbeller.jpivot.table.PartBuilderSupport
`table`

Fields inherited from interface com.tonbeller.wcf.bookmarks.Bookmarkable
`EXTENSIONAL, INTENSIONAL`

Fields inherited from interface com.tonbeller.jpivot.table.AxisConfig
`HIERARCHY_HEADER, HIERARCHY_LEVEL_HEADER, LEVEL_HEADER, NO_HEADER`

Fields inherited from interface com.tonbeller.jpivot.table.span.SpanDirections
`HIERARCHY_SPAN, HIERARCHY_THEN_POSITION_SPAN, NO_SPAN, POSITION_SPAN, POSITION_THEN_HIERARCHY_SPAN`

Constructor Summary
`ColumnAxisBuilderImpl()`

Method Summary
`void` | `buildRow(org.w3c.dom.Element parent, int rowIndex)` appends one <row-heading> or multiple >column-heading< elements to parent.
`protected Axis` | `getAxis()` returns the row/column axis or null if result is 1- or 0-dimensional
`int` | `getColumnCount()` returns the number of columns.
`int` | `getRowCount()` returns the number of rows.

Methods inherited from class com.tonbeller.jpivot.table.AxisBuilderSupport
`buildHeading, destroy, getAxisConfig, getAxisHeaderBuilder, getBookmarkState, getHeaderSpan, getHierarchyHeader, getMemberSpan, getPropertyConfig, getSpanBuilder, getSpanCalc, initialize, initialize, isMemberIndent, isShowParentMembers, propertyChange, setAxisHeaderBuilder, setBookmarkState, setHeaderSpan, setHierarchyHeader, setMemberIndent, setMemberSpan, setShowParentMembers, setSpanBuilder, startBuild, stopBuild`

Methods inherited from class com.tonbeller.jpivot.table.PartBuilderSupport
`isAvailable, setDirty`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface com.tonbeller.jpivot.table.AxisBuilder
`getAxisConfig, getAxisHeaderBuilder, getSpanBuilder, getSpanCalc, setAxisHeaderBuilder, setSpanBuilder`

Methods inherited from interface com.tonbeller.jpivot.table.PartBuilder
`destroy, initialize, isAvailable, startBuild, stopBuild`

Methods inherited from interface com.tonbeller.wcf.bookmarks.Bookmarkable
`getBookmarkState, setBookmarkState`

Methods inherited from interface com.tonbeller.jpivot.table.AxisConfig
`getHeaderSpan, getHierarchyHeader, getMemberSpan, getPropertyConfig, isMemberIndent, isShowParentMembers, setHeaderSpan, setHierarchyHeader, setMemberIndent, setMemberSpan, setShowParentMembers`

Constructor Detail

### ColumnAxisBuilderImpl

    public ColumnAxisBuilderImpl()

Method Detail

### buildRow

    public void buildRow(org.w3c.dom.Element parent,
                         int rowIndex)

  Description copied from interface: `AxisBuilder`
  appends one <row-heading> or multiple >column-heading< elements to parent.

  Specified by:
    `buildRow` in interface `AxisBuilder`
  Parameters:
    `parent` - a <row> element containing headings (and cells)
    `rowIndex` - - index of the row to build

### getColumnCount

    public int getColumnCount()

  Description copied from interface: `AxisBuilder`
  returns the number of columns. A row axis will return hierarchyCount, a column axis will return positionCount

  Specified by:
    `getColumnCount` in interface `AxisBuilder`

### getRowCount

    public int getRowCount()

  Description copied from interface: `AxisBuilder`
  returns the number of rows. A row axis will return positionCount, a column axis will return hierarchyCount

  Specified by:
    `getRowCount` in interface `AxisBuilder`

### getAxis

    protected Axis getAxis()

  Description copied from class: `AxisBuilderSupport`
  returns the row/column axis or null if result is 1- or 0-dimensional

  Specified by:
    `getAxis` in class `AxisBuilderSupport`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD